package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.was.replikation.Erfassungsbesonderheit;
import de.ivu.elect.interfaces.was.replikation.Ergebniseingabestatus;
import de.ivu.elect.interfaces.was.stimmeingabe.ErfassteStimmen;

/**
 * Werte aus dem WAS
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class Wahldurchfuehrungsgebiet implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private Boolean briefwahlInUrneErfassen;

  @XmlElement(required = true, namespace = "http://www.ivu.de/ELECT/REPLIKATION")
  private Ergebniseingabestatus eingabestatusEndgueltig;

  @XmlElement(required = true, namespace = "http://www.ivu.de/ELECT/REPLIKATION")
  private Ergebniseingabestatus eingabestatusVorlaeufig;

  @XmlElement(required = true, namespace = "http://www.ivu.de/ELECT/REPLIKATION")
  private Erfassungsbesonderheit erfassungsbesonderheit;

  @XmlElement(required = false)
  private Long anzahlWahlberechtigteOhneWahlschein;

  @XmlElement(required = false)
  private Long anzahlWahlberechtigteMitWahlschein;

  @XmlElement(required = false)
  private Long anzahlWahlberechtigteNichtImWaehlerverzeichnis;

  @XmlElement(required = false)
  private String textFuerPraesentation;

  @XmlElement(required = true, namespace = "http://www.ivu.de/ELECT/STIMMEINGABE")
  private ErfassteStimmen erfassteStimmen;

  @XmlElement(required = false)
  private String wahlartBeiAufteilung;

  @XmlElement(required = false)
  private GebietReferenz erfassenIn;

  public Boolean getBriefwahlInUrneErfassen() {
    return briefwahlInUrneErfassen;
  }

  public void setBriefwahlInUrneErfassen(Boolean briefwahlInUrneErfassen) {
    this.briefwahlInUrneErfassen = briefwahlInUrneErfassen;
  }

  public Ergebniseingabestatus getEingabestatusEndgueltig() {
    return eingabestatusEndgueltig;
  }

  public void setEingabestatusEndgueltig(Ergebniseingabestatus eingabestatusEndgueltig) {
    this.eingabestatusEndgueltig = eingabestatusEndgueltig;
  }

  public Ergebniseingabestatus getEingabestatusVorlaeufig() {
    return eingabestatusVorlaeufig;
  }

  public void setEingabestatusVorlaeufig(Ergebniseingabestatus eingabestatusVorlaeufig) {
    this.eingabestatusVorlaeufig = eingabestatusVorlaeufig;
  }

  public Erfassungsbesonderheit getErfassungsbesonderheit() {
    return erfassungsbesonderheit;
  }

  public void setErfassungsbesonderheit(Erfassungsbesonderheit erfassungsbesonderheit) {
    this.erfassungsbesonderheit = erfassungsbesonderheit;
  }

  public Long getAnzahlWahlberechtigteOhneWahlschein() {
    return anzahlWahlberechtigteOhneWahlschein;
  }

  public void setAnzahlWahlberechtigteOhneWahlschein(Long anzahlWahlberechtigteOhneWahlschein) {
    this.anzahlWahlberechtigteOhneWahlschein = anzahlWahlberechtigteOhneWahlschein;
  }

  public Long getAnzahlWahlberechtigteMitWahlschein() {
    return anzahlWahlberechtigteMitWahlschein;
  }

  public void setAnzahlWahlberechtigteMitWahlschein(Long anzahlWahlberechtigteMitWahlschein) {
    this.anzahlWahlberechtigteMitWahlschein = anzahlWahlberechtigteMitWahlschein;
  }

  public Long getAnzahlWahlberechtigteNichtImWaehlerverzeichnis() {
    return anzahlWahlberechtigteNichtImWaehlerverzeichnis;
  }

  public void setAnzahlWahlberechtigteNichtImWaehlerverzeichnis(Long anzahlWahlberechtigteNichtImWaehlerverzeichnis) {
    this.anzahlWahlberechtigteNichtImWaehlerverzeichnis = anzahlWahlberechtigteNichtImWaehlerverzeichnis;
  }

  public String getTextFuerPraesentation() {
    return textFuerPraesentation;
  }

  public void setTextFuerPraesentation(String textFuerPraesentation) {
    this.textFuerPraesentation = textFuerPraesentation;
  }

  public ErfassteStimmen getErfassteStimmen() {
    return erfassteStimmen;
  }

  public void setErfassteStimmen(ErfassteStimmen erfassteStimmen) {
    this.erfassteStimmen = erfassteStimmen;
  }

  public String getWahlartBeiAufteilung() {
    return wahlartBeiAufteilung;
  }

  public void setWahlartBeiAufteilung(String wahlartBeiAufteilung) {
    this.wahlartBeiAufteilung = wahlartBeiAufteilung;
  }

  public GebietReferenz getErfassenIn() {
    return erfassenIn;
  }

  public void setErfassenIn(GebietReferenz erfassenIn) {
    this.erfassenIn = erfassenIn;
  }
}
